:root {
    --app-primary-color: #25A3B6;
    --app-primary-color-ligth: #edadad;
}


.datepicker {
    padding: .45rem .9rem !important;
}

.datepicker-monthly
{
    max-width:120px;
}






.table-andina {
    width: 100%;
    border-collapse: collapse;
}

    .table-andina th {
        background-color: #25A3B6 !important; 
        color: white; /* Texto blanco */
        padding: 10px;
        text-align: center; /* Alineación del texto a la izquierda */
        border: 1px solid #ddd; /* Borde de las celdas */
    }

    .table-andina td {
        padding: 10px;
        border: 1px solid #f2f2f2;
        transition: color 0.3s ease; /* Transición suave para el cambio de color */
    }

    .table-andina tbody tr:hover td {
        color: #25A3B6;
    }

/* Opcional: Estilos para alternar colores de filas */
    .table-andina tr:nth-child(even) {
        background-color: #FAFBFE;
    }






.btn-primary {
    background-color: #25A3B6 !important;
    border-color: #2099ab !important;
}

.btn-primary:hover {
    background-color: #2099ab !important;
    border-color: #2099ab !important;
}

.text-primary {
    color: #25A3B6 !important;
} 



.table-col-importe {
    width: 150px !important;
    text-align: right !important;
}

.table-col-fecha {
    width: 130px !important;
    text-align: center !important;
}








.alert-confirm-button {
    color: #fff !important;
    background-color: var(--app-primary-color) !important;
    border-color: #0d6efd !important;
}

    .alert-confirm-button:hover {
        color: #fff !important;
        background-color: #0a58ca !important;
        border-color: #0a58ca !important;
    }

    .btn-check:focus + .alert-confirm-button, .alert-confirm-button:focus {
        color: #fff;
        background-color: #0a58ca;
        border-color: #0a58ca;
        -webkit-box-shadow: 0 0 0 0.25rem rgba(49, 132, 253, 0.5);
        box-shadow: 0 0 0 0.25rem rgba(49, 132, 253, 0.5);
    }

    .btn-check:checked + .alert-confirm-button, .btn-check:active + .alert-confirm-button, .alert-confirm-button:active, .alert-confirm-button.active, .show > .alert-confirm-button.dropdown-toggle {
        color: #fff;
        background-color: #0a58ca;
        border-color: #0a53be;
    }

        .btn-check:checked + .alert-confirm-button:focus, .btn-check:active + .alert-confirm-button:focus, .alert-confirm-button:active:focus, .alert-confirm-button.active:focus, .show > .alert-confirm-button.dropdown-toggle:focus {
            -webkit-box-shadow: 0 0 0 0.25rem rgba(49, 132, 253, 0.5);
            box-shadow: 0 0 0 0.25rem rgba(49, 132, 253, 0.5);
        }

    .alert-confirm-button:disabled, .alert-confirm-button.disabled {
        color: #fff;
        background-color: #0d6efd;
        border-color: #0d6efd;
    }


.alert-yes-button {
    color: #fff !important;
    background-color: #0acf97 !important;
    border-color: #0acf97 !important;
}

    .alert-yes-button:hover {
        color: #fff !important;
        background-color: #09b080 !important;
        border-color: #09b080 !important;
    }

    .btn-check:focus + .alert-yes-button, .alert-yes-button:focus {
        color: #fff;
        background-color: #09b080;
        border-color: #08a679;
        -webkit-box-shadow: 0 0 0 0.25rem rgba(47, 214, 167, 0.5);
        box-shadow: 0 0 0 0.25rem rgba(47, 214, 167, 0.5);
    }

    .btn-check:checked + .alert-yes-button, .btn-check:active + .alert-yes-button, .alert-yes-button:active, .alert-yes-button.active, .show > .alert-yes-button.dropdown-toggle {
        color: #fff;
        background-color: #08a679;
        border-color: #089b71;
    }

        .btn-check:checked + .alert-yes-button:focus, .btn-check:active + .alert-yes-button:focus, .alert-yes-button:active:focus, .alert-yes-button.active:focus, .show > .alert-yes-button.dropdown-toggle:focus {
            -webkit-box-shadow: 0 0 0 0.25rem rgba(47, 214, 167, 0.5);
            box-shadow: 0 0 0 0.25rem rgba(47, 214, 167, 0.5);
        }

    .alert-yes-button:disabled, .alert-yes-button.disabled {
        color: #fff;
        background-color: #0acf97;
        border-color: #0acf97;
    }



.alert-no-button {
    color: #fff !important;
    background-color: #fa5c7c !important;
    border-color: #fa5c7c !important;
}

    .alert-no-button:hover {
        color: #fff !important;
        background-color: #d54e69 !important;
        border-color: #c84a63 !important;
    }

    .btn-check:focus + .alert-no-button, .alert-no-button:focus {
        color: #fff;
        background-color: #d54e69;
        border-color: #c84a63;
        -webkit-box-shadow: 0 0 0 0.2rem rgba(251, 116, 144, 0.5);
        box-shadow: 0 0 0 0.2rem rgba(251, 116, 144, 0.5);
    }

    .btn-check:checked + .alert-no-button, .btn-check:active + .alert-no-button, .alert-no-button:active, .alert-no-button.active, .show > .alert-no-button.dropdown-toggle {
        color: #fff;
        background-color: #c84a63;
        border-color: #bc455d;
    }

        .btn-check:checked + .alert-no-button:focus, .btn-check:active + .alert-no-button:focus, .alert-no-button:active:focus, .alert-no-button.active:focus, .show > .alert-no-button.dropdown-toggle:focus {
            -webkit-box-shadow: 0 0 0 0.2rem rgba(251, 116, 144, 0.5);
            box-shadow: 0 0 0 0.2rem rgba(251, 116, 144, 0.5);
        }

    .alert-no-button:disabled, .alert-no-button.disabled {
        color: #fff;
        background-color: #fa5c7c;
        border-color: #fa5c7c;
    }



.required-message {
    color: var(--app-primary-color-ligth);
}

.overlay-loader {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Fondo gris con opacidad */
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}


.dz-message {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%; /* Asegúrate de que el div tenga una altura definida */
    text-align: center;
}

.dropzone {
    background-color:#eff2f7;
}


.dark-text-warning {
    color: #957108 !important;
}
